Bug 470780 - Firefox crash with error message "float point exception "$prog" ${1+"$@"}
Firefox crash with error message "float point exception "$prog" ${1+"$@"}
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
ia64 Linux
high Severity high
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 02:23 EST by Yolkfull Chow
Modified: 2009-03-07 15:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 15:46:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yolkfull Chow 2008-11-10 02:23:21 EST
Description of problem:
Firefox crash with following error message:
--------
/usr/lib/firefox-3.0.4/run-mozilla.sh: line 131:  6654 浮点数例外         "$prog" ${1+"$@"}
-------

Version-Release number of selected component (if applicable):
firefox-3.0.4-1.el5-ia64

How reproducible:
not always, but quite often

Possible Steps to Reproduce:
1.  firefox -createprofile, open some webpages with different tabs, and close firefox with multiple tabs
2. firefox -safe-mode, select all options, click "save changes and restart"
3. in the popup window, click "restore ..."
4. sometimes, I only create a profile and then start safe-mode, it will crash.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-11-10 11:44:03 EST
This message itself doesn't mean much -- firefox generates with every other crash.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2009-01-31 16:38:05 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2009-03-07 15:46:31 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.